<%# Partial to create figure with caption %>
<%# From https://vgpena.github.io/partials-are-magic/ %>
<%# see also https://middlemanapp.com/basics/partials/ %>

<% if locals[:caption] %>
<div class="responsive">
  <div class="gallery">
  <figure role="img" >
<% else %>
<%# <div class="responsive">
  <div class="gallery">  %>
<% end %>
    <%= image_tag config[:host]+"images/"+locals[:src], { alt: locals[:alt], title: locals[:title], price: locals[:price], width: locals[:width], height: locals[:height], id: locals[:id]} %>
<% if locals[:caption] %>
  <figcaption>
    <p><%= locals[:price] %></p>
    <p><%= locals[:caption] %></p>
  </figcaption>
  </figure>
  <input type="number" id="<%= locals[:id] %>"
                       onclick="changequantity('<%= locals[:id] %>')" 
                       value="0" min="0" max="20" step="1">
  </div>
</div>
<% else %>
<%#    </div>
  </div> %>
<% end %>
